
$(document).ready(function(){
	var data = "plan/data.php";
	$('#data-mahasiswa').load(data);
	
	$("#form-tambah").submit(function(e) {
		e.preventDefault();
		
		$("#error_date_plan").html('');
		$("#error_mesin").html('');
		$("#error_product").html('');
		$("#error_material").html('');
		$("#error_qty").html('');
		$("#error_prioritas").html('');
		
		var dataform = $("#form-tambah").serialize();
		$.ajax({
			url: "plan/input.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_date_plan").html(hasil.error.date_plan);
					$("#error_mesin").html(hasil.error.mesin);
					$("#error_product").html(hasil.error.product);
					$("#error_material").html(hasil.error.material);
					$("#error_qty").html(hasil.error.qty);
					$("#error_prioritas").html(hasil.error.prioritas);
				} else {
					$('#modal-tambah').modal('hide');
					$("#date_plan").val('');
					$("#mesin").val('');
					$("#product").val('');
					$("#material").val('');
					$("#qty").val('');
					$("#prioritas").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
	$(document).on('click','#edit',function(e){
		e.preventDefault();
		$("#modal-edit").modal('show');
		$.post('plan/edit.php',
			{id:$(this).attr('data-id')},
			function(html){
				$("#data-edit").html(html);
			}   
		);
	});
	
	
	$("#form-edit").submit(function(e) {
		e.preventDefault();
		
		$("#error_date_plan").html('');
		$("#error_mesin").html('');
		$("#error_product").html('');
		$("#error_material").html('');
		$("#error_qty").html('');
		$("#error_prioritas").html('');

		var dataform = $("#form-edit").serialize();
		$.ajax({
			url: "plan/update.php",
			type: "post",
			data: dataform,
			success: function(result) {
				var hasil = JSON.parse(result);
				if (hasil.hasil !== "sukses") {
					$("#error_edit_date_plan").html(hasil.error.edit_date_plan);
					$("#error_edit_mesin").html(hasil.error.edit_mesin);
					$("#error_edit_product").html(hasil.error.edit_product);
					$("#error_edit_material").html(hasil.error.edit_material);
					$("#error_edit_qty").html(hasil.error.edit_qty);
					$("#error_edit_prioritas").html(hasil.error.edit_prioritas);
				} else {
					$('#modal-edit').modal('hide');
					$("#date_plan").val('');
					$("#mesin").val('');
					$("#product").val('');
					$("#material").val('');
					$("#qty").val('');
					$("#prioritas").val('');
					$('#data-mahasiswa').load(data);
				}
			}
		});
	});
	
	$(document).ready(function(){
		$('.input-tanggal').datepicker({
			dateFormat: 'yy-mm-dd'
		});		
	});	

	$(document).ready(function() {
		$('#poor2').hide();
		$("#poor").change(function() {
				var val = $(this).val();      
				if (val == 'supplain') {
					$('#poor2').show();
				} else {
					$('#poor2').hide();
				}
			}).change();
		});


});